Top down adventure game

# Techniques

1. **Three-Act Structure**: This is one of the most common frameworks used in storytelling. It divides a story into three main parts: setup, confrontation, and resolution. Each act has its own set of plot points:
   - **Act 1 (Setup)**: Introduction of characters, setting, and initial conflict. Includes the inciting incident that sets the story in motion.
   - **Act 2 (Confrontation)**: Development of obstacles and rising action. Includes the midpoint or the point of no return.
   - **Act 3 (Resolution)**: Climax and resolution of the main conflict. Often followed by a denouement or wrap-up.

2. **Hero's Journey**: Popularized by Joseph Campbell, this narrative structure outlines the stages of a hero's adventure, including the call to adventure, trials and challenges, and eventual return transformed.
   - **Ordinary World**: Introduce the protagonist in their normal environment.
   - **Call to Adventure**: Something disrupts the ordinary world, prompting the hero to embark on a journey.
   - **Trials and Challenges**: The hero faces obstacles, meets allies and enemies, and undergoes growth.
   - **Approach to the Inmost Cave**: The hero prepares for the final confrontation.
   - **Climax**: The decisive battle or moment of truth.
   - **Return with the Elixir**: The hero returns home, transformed, with newfound wisdom or treasure.

3. **Save the Cat! Beat Sheet**: Developed by Blake Snyder, this structure outlines specific "beats" or plot points to hit throughout the story, named after his book "Save the Cat!".
   - **Opening Image**: Establish the tone and setting.
   - **Theme Stated**: Introduce the central theme or message of the story.
   - **Setup**: Introduce the protagonist and their ordinary world.
   - **Catalyst**: The inciting incident that disrupts the protagonist's life.
   - **Midpoint**: A significant event that shifts the story in a new direction.
   - **Dark Night of the Soul**: The lowest point for the protagonist.
   - **Break into Three**: The protagonist makes a crucial decision or discovery.
   - **Finale**: The climax and resolution of the story.

# Plot v0
**Opening Image:**
The game opens with sweeping vistas of a vibrant world, showcasing bustling cities, serene countryside, and sprawling desert landscapes. Warm tones and vivid colors paint the scene, hinting at the wonders and adventures that await.

**Theme Stated:**
A wise elder imparts ancient wisdom to the protagonist: "All individuals should live in the pursuit of their individual dreams, for the universe will conspire to help you achieve your goals."

**Setup:**
Players are introduced to the humble shepherd boy, Aiden, tending to his flock in a quaint village nestled amidst rolling hills. Aiden dreams of adventure and treasure hunting, yearning for a life beyond the confines of his pastoral existence.

**Catalyst:**
One fateful night, Aiden has a vivid dream of uncovering a legendary treasure hidden deep within the desert sands. Fueled by newfound determination, he resolves to embark on a daring quest to make his dreams a reality.

**Midpoint:**
In his quest for treasure, Aiden stumbles upon a mysterious university where scholars study ancient artifacts and lore. There, he discovers a magical tome that imbues his shepherd's staff with extraordinary powers. The staff now glows with a celestial light whenever treasure is near. Empowered and inspired, Aiden sets out into the world to seek his fortune.

**Dark Night of the Soul:**
After amassing a modest fortune and aiding numerous villagers along the way, Aiden's journey takes a dark turn when he is ambushed by ruthless bandits. They steal his enchanted staff and plunder his hard-earned treasures, leaving him battered and despondent in the wilderness.

**Break into Three:**
Through rumors and whispers, Aiden learns of an ancient evil genie who seeks to harness the power of his staff for nefarious purposes. Determined to reclaim what is rightfully his, Aiden sets forth on a perilous quest to confront the malevolent genie and retrieve his stolen treasures.

**Finale:**
In a climactic showdown atop a towering dune, Aiden faces off against the sinister genie and his legions of minions. Utilizing all his cunning and newfound abilities, Aiden engages in an epic battle of wits and strength. With bravery and determination, he ultimately vanquishes the genie, reclaiming his staff and the treasures stolen from him. As the sun sets on the horizon, Aiden returns triumphantly to his village, hailed as a hero and living proof that with courage and perseverance, even the wildest dreams can come true.

# Staff Mechanics
**Sand Manipulation:** In addition to glowing in the presence of treasure, the staff could grant Aiden the power to manipulate sand. This ability could be used to create barriers, reshape the environment, or uncover hidden pathways buried beneath the desert sands.

**Wind Control:** With a flick of the staff, Aiden could summon gusts of wind to propel him across vast distances or manipulate airborne objects and obstacles. This ability would be particularly useful for traversing treacherous terrain or solving environmental puzzles.

**Light Projection:** The staff could emit beams of radiant light, illuminating darkened areas and revealing hidden secrets. This ability could aid Aiden in exploring ancient ruins, deciphering cryptic symbols, and uncovering hidden chambers filled with treasure.

**Elemental Conjuring:** Through the power of the staff, Aiden could summon elemental creatures to aid him in battle or assist in solving puzzles. Whether summoning fiery salamanders, icy specters, or earthy golems, these elemental allies would add an extra layer of strategy to gameplay.
Healing Touch: The staff could possess the ability to heal wounds and restore vitality to Aiden and his companions. This ability would be invaluable during intense combat encounters or when faced with perilous traps and hazards in the wilderness.

**Time Manipulation:** In moments of dire need, the staff could temporarily alter the flow of time, slowing down or speeding up the world around Aiden. This ability could be used to evade enemies, overcome obstacles, or solve time-based puzzles in ancient temples and ruins.

**Teleportation:** With a wave of the staff, Aiden could instantly teleport to distant locations within his line of sight. This ability would grant him unparalleled mobility, allowing him to traverse great distances with ease and access hidden areas inaccessible by conventional means.

# Plot v0.1

## Scratch notes
1. Farm boy
2. Dad gave him his Shepard staff
3. Dad disappeared a long time ago
4. Takes care of the sheep on the farm with his staff that reminds him of his dad
5. Decides to sell sheep to go to university because he’s tired of his boring life and remembers the stories his dad told him about Arabian nights treasure hunter
6. Goes to university meets archeology professor. (modern day treasure hunter)
7. Goes to the library. Discovers an accent book behind a glass bookshelf in the library.
8. Opens the book and starts to read when something magical flows into his staff.
9. A portal emerges from the book. Sucks the boy and his staff in
10. boy wakes in an empty desert
11. No food no water in strange all white dessert clothing with his staff
12. He stumbles to a dessert town with white dessert style buildings
13. He thinks he doesn’t what to do because he has no money and he’s starting to get hungry
14. Man offers him a job to carry his bags with no option he agrees
15. Turns out the man is hunting for treasure
16. During the course of finding the treasure the man disappears? Is kidnapped? Does?
17. Main character finds himself alone with the treasure hunters belongings
18. He realizes his staff is leading him to treasure
19. Treasure he finds contains a picture of him and his dad when he was young. Bag with dads symbol need something stronger/more clear like picture maybe. Something that get him to believe it’s related to his dad
20. Goes to find more treasure, gameplay searching, finding treasure and dad clue
21. Have to get enough money by finding treasure to sleep in the hotel that night and have food
22. He learns the genie is behind the theft of his staff and treasure
23. He tries to find the genie and fight him
24. Dad hid the staff because the genie was after him. Captures the dad. Now under the genie’s power
25. Could fight the dad. He gets exhausted and the genie steps in. You finish the genie first phase and then break the genie’s spell on your dad.
26. Dad helps you defeat the genie
27. When the genie dies he opens a the portal back to home. When you were able to bring some treasure and the staff back
28. Happily ever after
