local Camera = require("lib/hump/camera")

PlayerCamera = Camera(0, 0)

-- cam.smoother = Camera.smooth.damped(8) -- TODO figure out why we need this

function PlayerCamera:load()
    self.nativeScale = 4 / 3                     --4 / 3
    self.scale = self.nativeScale * Window.scale -- https://github.com/vrld/hump/blob/master/camera.lua#L68
    self.width = self:getWidth()                 -- These should only change then the game window changes
    self.height = self:getHeight()
end

function PlayerCamera:update(dt)
    local camX = Player.x
    local camY = Player.y
    local mapW = Map.width * Map.tilewidth
    local mapH = Map.height * Map.tileheight
    camX, camY = self:setBorders(camX, camY, mapW, mapH)
    self:lockPosition(camX, camY) -- TODO: Player vibrates when snap to integers but without it black bars...
    -- cam:lockPosition(math.floor(camX), math.floor(camY))
    self.x, self.y = PlayerCamera:position()
    -- rounding the camera position
    self.x, self.y = Round(self.x), Round(self.y)
end

function PlayerCamera:setBorders(camX, camY, mapW, mapH)
    camX = self:setLeftBorder(camX)
    camX = self:setRightBorder(camX, mapW)
    camY = self:setTopBorder(camY)
    camY = self:setBottomBorder(camY, mapH)
    return camX, camY
end

function PlayerCamera:getWidth()
    local windowW = love.graphics.getWidth()
    return windowW / self.scale
end

function PlayerCamera:getHeight()
    local windowH = love.graphics.getHeight()
    return windowH / self.scale
end

function PlayerCamera:setLeftBorder(camX)
    if camX < self.width / 2 then
        camX = self.width / 2
    end
    return camX
end

function PlayerCamera:setRightBorder(camX, mapW)
    if camX > (mapW - self.width / 2) then
        camX = mapW - self.width / 2
    end
    return camX
end

function PlayerCamera:setTopBorder(camY)
    if camY < self.height / 2 then
        camY = self.height / 2
    end
    return camY
end

function PlayerCamera:setBottomBorder(camY, mapH)
    if camY > mapH - self.height / 2 then
        camY = mapH - self.height / 2
    end
    return camY
end
